Read merchant location
curl --request GET \
--url https://int-api.mx.com/merchant_locations/{merchant_location_guid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/merchant_locations/{merchant_location_guid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/merchant_locations/{merchant_location_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchant_location": {
"city": "Greenwood Village",
"country": "US",
"created_at": "2020-04-13 21:05:09.000000000 Z",
"guid": "MCL-00024e59-18b5-4d79-b879-2a7896726fea",
"latitude": 39.5963005,
"longitude": -104.89158799999998,
"merchant_guid": "MCH-09466f0a-fb58-9d1a-bae2-2af0afbea621",
"phone_number": "(303) 689-0728",
"postal_code": "801121436",
"state": "CO",
"street_address": "8547 E Arapahoe Rd, Ste 1",
"updated_at": "2020-04-13 21:05:09.000000000 Z"
}
}Merchants
Read merchant location
GET
/
merchant_locations
/
{merchant_location_guid}
Read merchant location
This endpoint returns the specified
merchant_location resource. The merchant_location_guid can be found on transaction objects.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique id for a merchant_location.
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Example:
"Greenwood Village"
Example:
"US"
Example:
"2020-04-13 21:05:09.000000000 Z"
Example:
"MCL-00024e59-18b5-4d79-b879-2a7896726fea"
Example:
39.5963005
Example:
-104.89158799999998
Example:
"MCH-09466f0a-fb58-9d1a-bae2-2af0afbea621"
Example:
"(303) 689-0728"
Example:
"801121436"
Example:
"CO"
Example:
"8547 E Arapahoe Rd, Ste 1"
Example:
"2020-04-13 21:05:09.000000000 Z"
⌘I

